Interlaken
API referenceIdentity and accessUsers

Create a user

POST
/api/v1/users

Requires the users:create permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/users" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "password": "string",    "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0"  }'
{  "created_at": "2019-08-24T14:15:22Z",  "email": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "role": "string",  "role_name": "string",  "role_slug": "string",  "status": "string",  "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",  "updated_at": "2019-08-24T14:15:22Z"}